Package org.apache.avro.mojo

# Class InduceMojo

java.lang.Object
org.apache.maven.plugin.AbstractMojo
org.apache.avro.mojo.InduceMojo

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

public class InduceMojo extends org.apache.maven.plugin.AbstractMojo
Generate Avro files (.avsc and .avpr) from Java classes or interfaces

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.apache.maven.project.MavenProject`
`project`
The current Maven project.

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

## Constructor Summary

Constructors
Constructor
Description
`InduceMojo()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### project

protected org.apache.maven.project.MavenProject project
The current Maven project.

## Constructor Details

### InduceMojo

public InduceMojo()

## Method Details

### execute

public void execute() throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`